clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
llvm::DOTGraphTraits< const Stmt * > Struct Template Reference
Inheritance diagram for llvm::DOTGraphTraits< const Stmt * >:
[legend]
Collaboration diagram for llvm::DOTGraphTraits< const Stmt * >:
[legend]

## Public Member Functions
| DOTGraphTraits (bool isSimple=false)

## Static Public Member Functions
static std::string | getNodeLabel (const Stmt *Node, const Stmt *Graph)

## Detailed Description

### template<>
struct llvm::DOTGraphTraits< const Stmt * >

Definition at line 32 of file StmtViz.cpp.

## Constructor & Destructor Documentation

## ◆ DOTGraphTraits()

llvm::DOTGraphTraits< const Stmt * >::DOTGraphTraits | ( | bool | isSimple = `false` | ) |
| inline

Definition at line 33 of file StmtViz.cpp.

## Member Function Documentation

## ◆ getNodeLabel()

static std::string llvm::DOTGraphTraits< const Stmt * >::getNodeLabel | ( | const Stmt * | Node,
|  | const Stmt * | Graph
| ) |  |
| inline static

Definition at line 35 of file StmtViz.cpp.

References clang::Stmt::getStmtClassName().

The documentation for this struct was generated from the following file:

- lib/AST/StmtViz.cpp